using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 期刊状态枚举
/// </summary>
public enum JournalStatusEnum
{
    /// <summary>
    /// 缺失目录
    /// </summary>
    [Description("缺失目录")]
    MissCatalog = -1,
    /// <summary>
    /// 已创建
    /// </summary>
    [Description("已创建")]
    Created = 0,

    [Description("编辑")]
    Editor = 1,

    /// <summary>
    /// 已校验
    /// </summary>
    [Description("已校验")]
    Verify = 3,

    /// <summary>
    /// 铺码中
    /// </summary>
    [Description("铺码中")]
    Codeing = 4,

    /// <summary>
    /// 铺码成功
    /// </summary>
    [Description("铺码成功")]
    CodeSuccess = 5,

    /// <summary>
    /// 铺码失败
    /// </summary>
    [Description("铺码失败")]
    CodeFail = -5,

    /// <summary>
    /// 已归档
    /// </summary>
    [Description("已归档")]
    Archive = 9,

    /// <summary>
    /// 已废弃
    /// </summary>
    [Description("已废弃")]
    Abandoned = -9,

    /// <summary>
    /// 已发布
    /// </summary>
    [Description("已发布")]
    Published = 999
}
